source("modules/Loading/Loading.R")
source("modules/Units/Units.R")
source("modules/Calibration/Calibration.R")
source("modules/Anomalies/Anomalies.R")
source("modules/Skill/Skill.R")
source("modules/Saving/Saving.R")
source("modules/Visualization/Visualization.R")
source("modules/Indices/Indices.R")
source("modules/Downscaling/Downscaling.R")
library(igraph)

# Read recipe
recipe_file <- "recipes/examples/Nino_recipe.yml"
recipe <- prepare_outputs(recipe_file)

# Load datasets
data <- Loading(recipe)

# Compute anomalies
data <- Anomalies(recipe, data)

# Compute index NAO
nino_data <- Indices(recipe, data)

# Compute skill metrics
graph.prov <- nino_data$graph.prov
nino_data$graph.prov <- NULL

for (index in nino_data) {
  browser()
  index$graph.prov <- graph.prov
  nino_skill_metrics <- Skill(recipe = recipe, data = index, agg = "region")
  graph.prov <- nino_skill_metrics$graph.prov
  nino_skill_metrics$graph.prov <- NULL
}

graph2json(graph.prov$graph,
           "/esarchive/scratch/apuiggro/sunset/graph333333.json")
